Skip to main content

createNetworkVulnerability

Create a Network Vulnerability

createNetworkVulnerability(
input: CreateNetworkVulnerabilityInput!
): CreateNetworkVulnerabilityPayload

Arguments​

createNetworkVulnerability.input ● CreateNetworkVulnerabilityInput! non-null input​

Parameters for CreateNetworkVulnerability

Type​

CreateNetworkVulnerabilityPayload object​

Autogenerated return type of CreateNetworkVulnerability.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateNetworkVulnerability($input: CreateNetworkVulnerabilityInput!) {\n createNetworkVulnerability(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","solution":"example","severity":"NOTIFICATION","summary":"example","impactDescription":"example","stepsToReproduce":"example","address":"example","protocol":"example","port":1,"attackVector":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute